Bug 1206047 - CVE-2015-1827 freeipa: ipa: memory corruption when using get_user_grouplist() [fedora-all]
Summary: CVE-2015-1827 freeipa: ipa: memory corruption when using get_user_grouplist()...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipa
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: IPA Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F22BetaFreezeException CVE-2015-1827
TreeView+ depends on / blocked
 
Reported: 2015-03-26 08:11 UTC by Tomas Hoger
Modified: 2015-04-06 08:32 UTC (History)
7 users (show)

Fixed In Version: freeipa-4.1.4-1.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 21:54:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Tomas Hoger 2015-03-26 08:11:08 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2015-03-26 08:11:14 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1205200,1206047

# Description of your update
notes=Security fix for CVE-2015-1827

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1205200,1206047

Comment 2 Fedora Update System 2015-03-26 16:33:49 UTC
freeipa-4.1.4-1.fc22, slapi-nis-0.54.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/freeipa-4.1.4-1.fc22,slapi-nis-0.54.2-1.fc22

Comment 3 Fedora Update System 2015-03-26 16:33:55 UTC
freeipa-4.1.4-1.fc21, slapi-nis-0.54.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/freeipa-4.1.4-1.fc21,slapi-nis-0.54.2-1.fc21

Comment 4 Fedora Update System 2015-03-29 04:23:41 UTC
Package freeipa-4.1.4-1.fc21, slapi-nis-0.54.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-4.1.4-1.fc21 slapi-nis-0.54.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4747/freeipa-4.1.4-1.fc21,slapi-nis-0.54.2-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Blocker Bugs Application 2015-03-31 11:49:56 UTC
Proposed as a Freeze Exception for 22-beta by Fedora user sgallagh using the blocker tracking app because:

 This CVE is a remotely exploitable DoS on a major feature of Fedora Server.

Comment 6 Fedora Update System 2015-03-31 21:54:59 UTC
freeipa-4.1.4-1.fc22, slapi-nis-0.54.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-04-06 08:32:30 UTC
freeipa-4.1.4-1.fc21, slapi-nis-0.54.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.